;************************************************************
;		MILISEKUNDOWA PROCEDURA OPӏNIAJCA
;
; 						Rafa Baranowski (C) 2005
;
; Parametry:
;	R16 - warto opnienia w ms (dla zera - 256 ms)
;	R17 - mnonik opnienia (dla zera - 256x)
;
; Wymagane stae:
;	SYS_FREQ - czstotliwo pracy w MHz
;
; Wykorzystywane rejestry:
;	R2...R5
;
Czekaj_ms:
	mov	R5, R16
	ldi	R16, SYS_FREQ
	mov	R2, R16

Czekaj_ms_0:			; zagniedone ptle opniajce
	mov	R3, R17		;______________
					;              \
Czekaj_ms_1:			;               |
	mov	R4, R5		;__________     |
					;          \    |
Czekaj_ms_2:			;           |   |
	ldi	R16, 249		;______     |   |
					;      \    |   |
	nop				;       |   |   |
Czekaj_ms_3:			;__     |   |   |
	nop				;  \    p   p   p
	dec	R16			;  p3   2   1   0
	brne	Czekaj_ms_3		;__/    |   |   |
					;       |   |   |
	dec	R4			;       |   |   |
	brne	Czekaj_ms_2		;______/    |   |
					;           |   |
	dec	R3			;           |   |
	brne	Czekaj_ms_1		;__________/    |
					;               |
	dec	R2			;               |
	brne	Czekaj_ms_0		;______________/

	ret				; powrc z podprogramu
